package puremvc.app.model
{
	import org.osflash.thunderbolt.Logger;
	import puremvc.app.ApplicationFacade;
	import org.puremvc.as3.interfaces.IProxy;
	import org.puremvc.as3.patterns.proxy.Proxy;
	
	/**
	 * Lance la récupération des données de notre application
	 * pour les envoyer à notre model.
	 * 
	 * @author matth
	 */
	 public class MenuProxy extends Proxy implements IProxy
    {
        public static const NAME:String = "MenuProxy";
 
 
        public function MenuProxy()
        {
            super(NAME);            
        }
		
		
		/**
		 * Récupère les données nécessaires pour le model.
		 * 
		 */
        public function load( url :String ):void
        { 
            var delegate:LoadXMLDelegate = new LoadXMLDelegate(this, url );
            delegate.load();
            Logger.debug ("load xml : "+url); // debug de l'application avec l'extension firefox Firebug       
        }
        
        /**
         * Appelé par LoadXMLDelegate en cas de succés.
         * 
         */
        public function success(sData:XML) : void
        {            
            sendNotification(ApplicationFacade.LOADING_MENU_COMPLETE, sData, "XML");
        }
 		
 		/**
         * Appelé par LoadXMLDelegate en cas d'erreur.
         * 
         */
        public function error(info:String):void 
        {
            //Alert.show(ApplicationFacade.ERROR_LOAD_FILE);
        }
 
        

    }

}
